;; Created by Lee Ambrosius (lee_ambrosius@hyperpics.com), HyperPics all rights reserved.

;; Visit HyperPics on the web at: http://www.hyperpics.com

;; Block Refreshing program

;; Program is provided AS-IS
;; Written on: 6/17/03

(defun c:RefreshBlocks()
  (setq blkName (cdr (assoc 2 (tblnext "BLOCK" T))))
  (setq cnt 0)
  (while blkName
    (setq blkPath (findfile (strcat blkname ".dwg")))
    (if (/= blkPath nil)
      (progn
        (command "-insert" (strcat blkName "=" blkPath))
        (command)
        (setq cnt (1+ cnt))
      )
    )
    (setq blkName (cdr (assoc 2 (tblnext "BLOCK"))))
  )
  (prompt (strcat "\nNumber of blocks updated: " (itoa cnt)))
 (princ)
)
(prompt "\nType RefreshBlocks to run program.")
(princ)